#2030 closed defect

Export more shell functions

Reported by: Sebastien Bourdeauducq Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

Export rtems_shell_init_env, rtems_shell_env_free, rtems_shell_main_mv, rtems_shell_main_cp and rtems_shell_main_rm

Attachments (1)

export-shell-functions.diff (2.3 KB) - added by Sebastien Bourdeauducq on Feb 24, 2012 at 8:36:54 PM.
patch

Download all attachments as: .zip

Change History (5)

Changed on Feb 24, 2012 at 8:36:54 PM by Sebastien Bourdeauducq

Attachment: export-shell-functions.diff added

patch

comment:1 Changed on Feb 25, 2012 at 4:12:56 PM by Gedare Bloom

Cc: Gedare Bloom added

This looks fine to me, but I forwarded it to devel list to ask for Ralf's feedback since he made these functions static quite recently.

comment:2 Changed on Nov 23, 2014 at 4:33:54 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber
Status: newassigned

Since this patch has lingered three years, Sebastian.. can it be closed?

FWIW the *main* don't need to be static. So that leaves the *env* methods.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Nov 27, 2014 at 12:39:57 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 43b09a9865760ec7ae7fcd0ef75842f3a201d5a7/rtems:

shell: Make mv, cp and rm usable for applications

close #2030

Note: See TracTickets for help on using tickets.